net.sf.jasperreports.crosstabs.xml

## Class JRCrosstabCellFactory

- java.lang.Object
- - net.sf.jasperreports.engine.xml.JRBaseFactory
  - - net.sf.jasperreports.crosstabs.xml.JRCrosstabCellFactory

- All Implemented Interfaces:
    org.apache.commons.digester.ObjectCreationFactory

      public class JRCrosstabCellFactory
      extends JRBaseFactory

  Version:
    $Id: JRCrosstabCellFactory.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTRIBUTE_columnTotalGroup`
    `static java.lang.String` | `ATTRIBUTE_height`
    `static java.lang.String` | `ATTRIBUTE_rowTotalGroup`
    `static java.lang.String` | `ATTRIBUTE_width`
    `static java.lang.String` | `ELEMENT_crosstabCell`

    - ### Fields inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory

      `digester`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRCrosstabCellFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `createObject(org.xml.sax.Attributes attributes)`

    - ### Methods inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory

      `getDigester, setDigester`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELEMENT_crosstabCell

          public static final java.lang.String ELEMENT_crosstabCell

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_rowTotalGroup

          public static final java.lang.String ATTRIBUTE_rowTotalGroup

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_columnTotalGroup

          public static final java.lang.String ATTRIBUTE_columnTotalGroup

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_width

          public static final java.lang.String ATTRIBUTE_width

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_height

          public static final java.lang.String ATTRIBUTE_height

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRCrosstabCellFactory

          public JRCrosstabCellFactory()

  - ### Method Detail

    - #### createObject

          public java.lang.Object createObject(org.xml.sax.Attributes attributes)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com